
JOYSTIC_10_BIT_AND_SET_interrupt:

;JOYSTIC_10_BIT_AND_SET.mbas,141 :: 		sub procedure interrupt   ' Main Interrupt Routine
;JOYSTIC_10_BIT_AND_SET.mbas,142 :: 		HID_InterruptProc
	CALL        _HID_InterruptProc+0, 0
L_JOYSTIC_10_BIT_AND_SET_interrupt125:
	RETFIE      1
; end of JOYSTIC_10_BIT_AND_SET_interrupt

JOYSTIC_10_BIT_AND_SET_SAVE_HAT:

;JOYSTIC_10_BIT_AND_SET.mbas,148 :: 		DIM RESULT_HAT AS BYTE
;JOYSTIC_10_BIT_AND_SET.mbas,150 :: 		case 0	RESULT_HAT = 0x0F   '(0)-- Zero value (HID meaning)
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT5
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT5:
;JOYSTIC_10_BIT_AND_SET.mbas,151 :: 		case 1	RESULT_HAT = 0x00   '(1)-- Up
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT8
	CLRF        R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT8:
;JOYSTIC_10_BIT_AND_SET.mbas,152 :: 		case 2	RESULT_HAT = 0x02   '(2)-- Right
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       2
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT11
	MOVLW       2
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT11:
;JOYSTIC_10_BIT_AND_SET.mbas,153 :: 		case 3	RESULT_HAT = 0x01   '(3)-- * Up-Right
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT14
	MOVLW       1
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT14:
;JOYSTIC_10_BIT_AND_SET.mbas,154 :: 		case 4	RESULT_HAT = 0x04   '(4)-- Down
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       4
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT17
	MOVLW       4
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT17:
;JOYSTIC_10_BIT_AND_SET.mbas,155 :: 		case 5	RESULT_HAT = 0x0F   '(5)-- * (Impossible)
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       5
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT20
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT20:
;JOYSTIC_10_BIT_AND_SET.mbas,156 :: 		case 6	RESULT_HAT = 0x03   '(6)-- * Right-Down
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       6
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT23
	MOVLW       3
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT23:
;JOYSTIC_10_BIT_AND_SET.mbas,157 :: 		case 7	RESULT_HAT = 0x0F   '(7)
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       7
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT26
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT26:
;JOYSTIC_10_BIT_AND_SET.mbas,158 :: 		case 8	RESULT_HAT = 0x06   '(8)-- Left
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       8
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT29
	MOVLW       6
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT29:
;JOYSTIC_10_BIT_AND_SET.mbas,159 :: 		case 9	RESULT_HAT = 0x07   '(9)-- * Left-Up
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       9
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT32
	MOVLW       7
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT32:
;JOYSTIC_10_BIT_AND_SET.mbas,160 :: 		case 10	RESULT_HAT = 0x0F   '(10)-- * (Impossible)
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       10
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT35
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT35:
;JOYSTIC_10_BIT_AND_SET.mbas,161 :: 		case 11	RESULT_HAT = 0x0F   '(11)--
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       11
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT38
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT38:
;JOYSTIC_10_BIT_AND_SET.mbas,162 :: 		case 12	RESULT_HAT = 0x05   '(13)-- * Down-Left
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       12
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT41
	MOVLW       5
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT41:
;JOYSTIC_10_BIT_AND_SET.mbas,163 :: 		case 13	RESULT_HAT = 0x0F   '(14)--
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       13
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT44
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT44:
;JOYSTIC_10_BIT_AND_SET.mbas,164 :: 		case 14	RESULT_HAT = 0x0F   '(15)--
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       14
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT47
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT47:
;JOYSTIC_10_BIT_AND_SET.mbas,165 :: 		case 15	RESULT_HAT = 0x0F   '(16)--
	MOVF        FARG_SAVE_HAT_DATA_HAT+0, 0 
	XORLW       15
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT50
	MOVLW       15
	MOVWF       R2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT50:
L_JOYSTIC_10_BIT_AND_SET_SAVE_HAT2:
;JOYSTIC_10_BIT_AND_SET.mbas,167 :: 		result = RESULT_HAT
	MOVF        R2, 0 
	MOVWF       R1 
	MOVF        R1, 0 
	MOVWF       R0 
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_SAVE_HAT

JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT:

;JOYSTIC_10_BIT_AND_SET.mbas,172 :: 		sub procedure READ_BUTTONS_AND_HAT ()
;JOYSTIC_10_BIT_AND_SET.mbas,173 :: 		BUTTONS[0] = 0
	CLRF        _BUTTONS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,174 :: 		BUTTONS[1] = 0
	CLRF        _BUTTONS+1 
;JOYSTIC_10_BIT_AND_SET.mbas,185 :: 		PORTA.4 = 1  PORTB.6 = 1 PORTC.6 = 0 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BCF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,186 :: 		Delay_ms(1)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT52:
	DECFSZ      R13, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT52
	DECFSZ      R12, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT52
;JOYSTIC_10_BIT_AND_SET.mbas,187 :: 		HAT_BUTTONS[0].0 = NOT PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT126
	BSF         _HAT_BUTTONS+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT127
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT126:
	BCF         _HAT_BUTTONS+0, 0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT127:
;JOYSTIC_10_BIT_AND_SET.mbas,188 :: 		HAT_BUTTONS[0].1 = NOT PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT128
	BSF         _HAT_BUTTONS+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT129
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT128:
	BCF         _HAT_BUTTONS+0, 1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT129:
;JOYSTIC_10_BIT_AND_SET.mbas,189 :: 		HAT_BUTTONS[0].2 = NOT PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT130
	BSF         _HAT_BUTTONS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT131
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT130:
	BCF         _HAT_BUTTONS+0, 2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT131:
;JOYSTIC_10_BIT_AND_SET.mbas,190 :: 		HAT_BUTTONS[0].3 = NOT PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT132
	BSF         _HAT_BUTTONS+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT133
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT132:
	BCF         _HAT_BUTTONS+0, 3 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT133:
;JOYSTIC_10_BIT_AND_SET.mbas,191 :: 		HAT_BUTTONS[0] = SAVE_HAT(HAT_BUTTONS[0])
	MOVF        _HAT_BUTTONS+0, 0 
	MOVWF       FARG_SAVE_HAT_DATA_HAT+0 
	CALL        JOYSTIC_10_BIT_AND_SET_SAVE_HAT+0, 0
	MOVF        R0, 0 
	MOVWF       _HAT_BUTTONS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,194 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 0
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BCF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,195 :: 		Delay_ms(1)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT53:
	DECFSZ      R13, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT53
	DECFSZ      R12, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT53
;JOYSTIC_10_BIT_AND_SET.mbas,196 :: 		BUTTONS[0].4 = NOT PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT134
	BSF         _BUTTONS+0, 4 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT135
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT134:
	BCF         _BUTTONS+0, 4 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT135:
;JOYSTIC_10_BIT_AND_SET.mbas,197 :: 		BUTTONS[0].5 = NOT PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT136
	BSF         _BUTTONS+0, 5 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT137
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT136:
	BCF         _BUTTONS+0, 5 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT137:
;JOYSTIC_10_BIT_AND_SET.mbas,198 :: 		BUTTONS[0].6 = NOT PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT138
	BSF         _BUTTONS+0, 6 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT139
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT138:
	BCF         _BUTTONS+0, 6 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT139:
;JOYSTIC_10_BIT_AND_SET.mbas,199 :: 		BUTTONS[0].7 = NOT PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT140
	BSF         _BUTTONS+0, 7 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT141
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT140:
	BCF         _BUTTONS+0, 7 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT141:
;JOYSTIC_10_BIT_AND_SET.mbas,202 :: 		PORTA.4 = 0 PORTB.6 = 1 PORTC.6 = 1 PORTC.7 = 1
	BCF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,203 :: 		Delay_ms(1)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT54:
	DECFSZ      R13, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT54
	DECFSZ      R12, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT54
;JOYSTIC_10_BIT_AND_SET.mbas,204 :: 		BUTTONS[1].0 = NOT PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT142
	BSF         _BUTTONS+1, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT143
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT142:
	BCF         _BUTTONS+1, 0 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT143:
;JOYSTIC_10_BIT_AND_SET.mbas,205 :: 		BUTTONS[1].1 = NOT PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT144
	BSF         _BUTTONS+1, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT145
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT144:
	BCF         _BUTTONS+1, 1 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT145:
;JOYSTIC_10_BIT_AND_SET.mbas,206 :: 		BUTTONS[1].2 = NOT PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT146
	BSF         _BUTTONS+1, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT147
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT146:
	BCF         _BUTTONS+1, 2 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT147:
;JOYSTIC_10_BIT_AND_SET.mbas,207 :: 		BUTTONS[1].3 = NOT PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT148
	BSF         _BUTTONS+1, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT149
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT148:
	BCF         _BUTTONS+1, 3 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT149:
;JOYSTIC_10_BIT_AND_SET.mbas,210 :: 		PORTA.4 = 1 PORTB.6 = 0 PORTC.6 = 1 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BCF         PORTB+0, 6 
	BSF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,211 :: 		Delay_ms(1)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT55:
	DECFSZ      R13, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT55
	DECFSZ      R12, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT55
;JOYSTIC_10_BIT_AND_SET.mbas,212 :: 		BUTTONS[1].4 = NOT PORTC.0
	BTFSC       PORTC+0, 0 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT150
	BSF         _BUTTONS+1, 4 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT151
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT150:
	BCF         _BUTTONS+1, 4 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT151:
;JOYSTIC_10_BIT_AND_SET.mbas,213 :: 		BUTTONS[1].5 = NOT PORTC.1
	BTFSC       PORTC+0, 1 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT152
	BSF         _BUTTONS+1, 5 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT153
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT152:
	BCF         _BUTTONS+1, 5 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT153:
;JOYSTIC_10_BIT_AND_SET.mbas,214 :: 		BUTTONS[1].6 = NOT PORTC.2
	BTFSC       PORTC+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT154
	BSF         _BUTTONS+1, 6 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT155
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT154:
	BCF         _BUTTONS+1, 6 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT155:
;JOYSTIC_10_BIT_AND_SET.mbas,215 :: 		BUTTONS[1].7 = NOT PORTE.3
	BTFSC       PORTE+0, 3 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT156
	BSF         _BUTTONS+1, 7 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT157
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT156:
	BCF         _BUTTONS+1, 7 
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT157:
;JOYSTIC_10_BIT_AND_SET.mbas,216 :: 		PORTA.4 = 1 PORTB.6 = 1 PORTC.6 = 0 PORTC.7 = 1
	BSF         PORTA+0, 4 
	BSF         PORTB+0, 6 
	BCF         PORTC+0, 6 
	BSF         PORTC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,217 :: 		Delay_ms(1)
	MOVLW       2
	MOVWF       R12, 0
	MOVLW       75
	MOVWF       R13, 0
L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT56:
	DECFSZ      R13, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT56
	DECFSZ      R12, 1, 0
	BRA         L_JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT56
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT

JOYSTIC_10_BIT_AND_SET_READ_AXIS:

;JOYSTIC_10_BIT_AND_SET.mbas,227 :: 		sub procedure READ_AXIS ()
;JOYSTIC_10_BIT_AND_SET.mbas,228 :: 		POT_MIX[1] = adc_read(10)        ' Read RZ      4 VB6
	MOVLW       10
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+4 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+5 
	MOVLW       0
	MOVWF       _POT_MIX+6 
	MOVWF       _POT_MIX+7 
;JOYSTIC_10_BIT_AND_SET.mbas,229 :: 		POT_MIX[2] = adc_read(0)         ' Read X       0 VB6
	CLRF        FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+8 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+9 
	MOVLW       0
	MOVWF       _POT_MIX+10 
	MOVWF       _POT_MIX+11 
;JOYSTIC_10_BIT_AND_SET.mbas,230 :: 		POT_MIX[3] = adc_read(1)         ' Read Y       0 VB6
	MOVLW       1
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+12 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+13 
	MOVLW       0
	MOVWF       _POT_MIX+14 
	MOVWF       _POT_MIX+15 
;JOYSTIC_10_BIT_AND_SET.mbas,231 :: 		POT_MIX[4] = adc_read(4)         ' Read Z       1 VB6
	MOVLW       4
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+16 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+17 
	MOVLW       0
	MOVWF       _POT_MIX+18 
	MOVWF       _POT_MIX+19 
;JOYSTIC_10_BIT_AND_SET.mbas,232 :: 		POT_MIX[5] = adc_read(8)         ' Read RX      2 VB6
	MOVLW       8
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+20 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+21 
	MOVLW       0
	MOVWF       _POT_MIX+22 
	MOVWF       _POT_MIX+23 
;JOYSTIC_10_BIT_AND_SET.mbas,233 :: 		POT_MIX[6] = adc_read(9)         ' Read RY      3 VB6
	MOVLW       9
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+24 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+25 
	MOVLW       0
	MOVWF       _POT_MIX+26 
	MOVWF       _POT_MIX+27 
;JOYSTIC_10_BIT_AND_SET.mbas,234 :: 		POT_MIX[7] = adc_read(12)        ' Read DIAL    5 VB6
	MOVLW       12
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+28 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+29 
	MOVLW       0
	MOVWF       _POT_MIX+30 
	MOVWF       _POT_MIX+31 
;JOYSTIC_10_BIT_AND_SET.mbas,235 :: 		POT_MIX[8] = adc_read(11)        ' Read SLIDER  6 VB6
	MOVLW       11
	MOVWF       FARG_Adc_Read_channel+0 
	CALL        _Adc_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+32 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+33 
	MOVLW       0
	MOVWF       _POT_MIX+34 
	MOVWF       _POT_MIX+35 
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_AXIS

JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM:

;JOYSTIC_10_BIT_AND_SET.mbas,240 :: 		sub procedure READ_EPP_REVERS_ZOOM ()
;JOYSTIC_10_BIT_AND_SET.mbas,241 :: 		IF userRD_buffer[0] = 1 THEN
	MOVF        _userRD_buffer+0, 0 
	XORLW       1
	BTFSS       STATUS+0, 2 
	GOTO        L_JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM60
;JOYSTIC_10_BIT_AND_SET.mbas,242 :: 		REVERS[1] = userRD_buffer[1] EEPROM_Write(1, REVERS[1])
	MOVF        _userRD_buffer+1, 0 
	MOVWF       _REVERS+1 
	MOVLW       1
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,243 :: 		REVERS[2] = userRD_buffer[2] EEPROM_Write(2, REVERS[2])
	MOVF        _userRD_buffer+2, 0 
	MOVWF       _REVERS+2 
	MOVLW       2
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,244 :: 		REVERS[3] = userRD_buffer[3] EEPROM_Write(3, REVERS[3])
	MOVF        _userRD_buffer+3, 0 
	MOVWF       _REVERS+3 
	MOVLW       3
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,245 :: 		REVERS[4] = userRD_buffer[4] EEPROM_Write(4, REVERS[4])
	MOVF        _userRD_buffer+4, 0 
	MOVWF       _REVERS+4 
	MOVLW       4
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+4, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,246 :: 		REVERS[5] = userRD_buffer[5] EEPROM_Write(5, REVERS[5])
	MOVF        _userRD_buffer+5, 0 
	MOVWF       _REVERS+5 
	MOVLW       5
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+5, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,247 :: 		REVERS[6] = userRD_buffer[6] EEPROM_Write(6, REVERS[6])
	MOVF        _userRD_buffer+6, 0 
	MOVWF       _REVERS+6 
	MOVLW       6
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _REVERS+6, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,249 :: 		ZOOM[1] = userRD_buffer[7]   EEPROM_Write(7, ZOOM[1])
	MOVF        _userRD_buffer+7, 0 
	MOVWF       _ZOOM+1 
	MOVLW       7
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+1, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,250 :: 		ZOOM[2] = userRD_buffer[8]   EEPROM_Write(8, ZOOM[2])
	MOVF        _userRD_buffer+8, 0 
	MOVWF       _ZOOM+2 
	MOVLW       8
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+2, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,251 :: 		ZOOM[3] = userRD_buffer[9]   EEPROM_Write(9, ZOOM[3])
	MOVF        _userRD_buffer+9, 0 
	MOVWF       _ZOOM+3 
	MOVLW       9
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+3, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,252 :: 		ZOOM[4] = userRD_buffer[10]  EEPROM_Write(10, ZOOM[4])
	MOVF        _userRD_buffer+10, 0 
	MOVWF       _ZOOM+4 
	MOVLW       10
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+4, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,253 :: 		ZOOM[5] = userRD_buffer[11]  EEPROM_Write(11, ZOOM[5])
	MOVF        _userRD_buffer+11, 0 
	MOVWF       _ZOOM+5 
	MOVLW       11
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+5, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,254 :: 		ZOOM[6] = userRD_buffer[12]  EEPROM_Write(12, ZOOM[6])
	MOVF        _userRD_buffer+12, 0 
	MOVWF       _ZOOM+6 
	MOVLW       12
	MOVWF       FARG_EEPROM_Write_address+0 
	MOVF        _ZOOM+6, 0 
	MOVWF       FARG_EEPROM_Write_data_+0 
	CALL        _EEPROM_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,255 :: 		userRD_buffer[0] = 0
	CLRF        _userRD_buffer+0 
;JOYSTIC_10_BIT_AND_SET.mbas,256 :: 		SAVE_AS = 1
	MOVLW       1
	MOVWF       _SAVE_AS+0 
L_JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM60:
;JOYSTIC_10_BIT_AND_SET.mbas,257 :: 		END IF
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM

JOYSTIC_10_BIT_AND_SET_Init_Main:

;JOYSTIC_10_BIT_AND_SET.mbas,262 :: 		sub procedure Init_Main   ' Initialization Routine
;JOYSTIC_10_BIT_AND_SET.mbas,266 :: 		INTCON = 0              ' Disable GIE, PEIE, TMR0IE,INT0IE, RBIE
	CLRF        INTCON+0 
;JOYSTIC_10_BIT_AND_SET.mbas,267 :: 		INTCON2 = 0x75          ' Turn on PORTB pull-ups
	MOVLW       117
	MOVWF       INTCON2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,268 :: 		INTCON3 = 0xC0
	MOVLW       192
	MOVWF       INTCON3+0 
;JOYSTIC_10_BIT_AND_SET.mbas,269 :: 		RCON.IPEN = 0           ' Disable Priority Levels on interrupts
	BCF         RCON+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,270 :: 		PIE1 = 0  PIE2 = 0  PIR1 = 0  PIR2 = 0
	CLRF        PIE1+0 
	CLRF        PIE2+0 
	CLRF        PIR1+0 
	CLRF        PIR2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,271 :: 		LATA = 0  LATB = 0  LATC = 0
	CLRF        LATA+0 
	CLRF        LATB+0 
	CLRF        LATC+0 
;JOYSTIC_10_BIT_AND_SET.mbas,274 :: 		ADCON0 = 0x01
	MOVLW       1
	MOVWF       ADCON0+0 
;JOYSTIC_10_BIT_AND_SET.mbas,275 :: 		ADCON1 = 0x31      ' RA2, RA3  are joystick axis inputs REFERENCA
	MOVLW       49
	MOVWF       ADCON1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,276 :: 		ADCON2 = 0xBE
	MOVLW       190
	MOVWF       ADCON2+0 
;JOYSTIC_10_BIT_AND_SET.mbas,279 :: 		TRISC.0 = 1  ' RC0 input  Columns 1 - with pullup
	BSF         TRISC+0, 0 
;JOYSTIC_10_BIT_AND_SET.mbas,280 :: 		TRISC.1 = 1  ' RC1 input  Columns 2 - with pullup
	BSF         TRISC+0, 1 
;JOYSTIC_10_BIT_AND_SET.mbas,281 :: 		TRISC.2 = 1  ' RC2 input  Columns 3 - with pullup
	BSF         TRISC+0, 2 
;JOYSTIC_10_BIT_AND_SET.mbas,283 :: 		TRISC.6 = 0  ' RC6 output Rows 1
	BCF         TRISC+0, 6 
;JOYSTIC_10_BIT_AND_SET.mbas,284 :: 		TRISC.7 = 0  ' RC7 output Rows 2
	BCF         TRISC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,285 :: 		TRISA.4 = 0  ' RA4 output Rows 3
	BCF         TRISA+0, 4 
;JOYSTIC_10_BIT_AND_SET.mbas,286 :: 		TRISB.6 = 0  ' RB6 output Rows 4
	BCF         TRISB+0, 6 
	RETURN      0
; end of JOYSTIC_10_BIT_AND_SET_Init_Main

_main:

;JOYSTIC_10_BIT_AND_SET.mbas,291 :: 		main:                            ' Main Program Routine
;JOYSTIC_10_BIT_AND_SET.mbas,292 :: 		Init_Main()
	CALL        JOYSTIC_10_BIT_AND_SET_Init_Main+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,293 :: 		FOR BR = 0 TO 11
	CLRF        _BR+0 
L__main65:
;JOYSTIC_10_BIT_AND_SET.mbas,294 :: 		userWR_buffer[BR] = 0x00     ' Initialize everything to 0
	MOVLW       _userWR_buffer+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,295 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       11
	BTFSC       STATUS+0, 2 
	GOTO        L__main68
	INCF        _BR+0, 1 
	GOTO        L__main65
L__main68:
;JOYSTIC_10_BIT_AND_SET.mbas,297 :: 		FOR BR = 0 TO 4
	CLRF        _BR+0 
L__main70:
;JOYSTIC_10_BIT_AND_SET.mbas,298 :: 		BUTT[BR] = 0x00              ' Initialize everything to 0
	MOVLW       _BUTT+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_BUTT+0)
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	CLRF        POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,299 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       4
	BTFSC       STATUS+0, 2 
	GOTO        L__main73
	INCF        _BR+0, 1 
	GOTO        L__main70
L__main73:
;JOYSTIC_10_BIT_AND_SET.mbas,302 :: 		REVERS[1] = EEPROM_Read(1)
	MOVLW       1
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+1 
;JOYSTIC_10_BIT_AND_SET.mbas,303 :: 		REVERS[2] = EEPROM_Read(2)
	MOVLW       2
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+2 
;JOYSTIC_10_BIT_AND_SET.mbas,304 :: 		REVERS[3] = EEPROM_Read(3)
	MOVLW       3
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+3 
;JOYSTIC_10_BIT_AND_SET.mbas,305 :: 		REVERS[4] = EEPROM_Read(4)
	MOVLW       4
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+4 
;JOYSTIC_10_BIT_AND_SET.mbas,306 :: 		REVERS[5] = EEPROM_Read(5)
	MOVLW       5
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+5 
;JOYSTIC_10_BIT_AND_SET.mbas,307 :: 		REVERS[6] = EEPROM_Read(6)
	MOVLW       6
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _REVERS+6 
;JOYSTIC_10_BIT_AND_SET.mbas,310 :: 		ZOOM[1] = EEPROM_Read(7)
	MOVLW       7
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+1 
;JOYSTIC_10_BIT_AND_SET.mbas,311 :: 		ZOOM[2] = EEPROM_Read(8)
	MOVLW       8
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+2 
;JOYSTIC_10_BIT_AND_SET.mbas,312 :: 		ZOOM[3] = EEPROM_Read(9)
	MOVLW       9
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+3 
;JOYSTIC_10_BIT_AND_SET.mbas,313 :: 		ZOOM[4] = EEPROM_Read(10)
	MOVLW       10
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+4 
;JOYSTIC_10_BIT_AND_SET.mbas,314 :: 		ZOOM[5] = EEPROM_Read(11)
	MOVLW       11
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+5 
;JOYSTIC_10_BIT_AND_SET.mbas,315 :: 		ZOOM[6] = EEPROM_Read(12)
	MOVLW       12
	MOVWF       FARG_EEPROM_Read_address+0 
	MOVLW       0
	MOVWF       FARG_EEPROM_Read_address+1 
	CALL        _EEPROM_Read+0, 0
	MOVF        R0, 0 
	MOVWF       _ZOOM+6 
;JOYSTIC_10_BIT_AND_SET.mbas,317 :: 		HID_Enable(@userRD_buffer, @userWR_buffer)
	MOVLW       _userRD_buffer+0
	MOVWF       FARG_HID_Enable_ReadBuff+0 
	MOVLW       hi_addr(_userRD_buffer+0)
	MOVWF       FARG_HID_Enable_ReadBuff+1 
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Enable_WriteBuff+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Enable_WriteBuff+1 
	CALL        _HID_Enable+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,318 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main74:
	DECFSZ      R13, 1, 0
	BRA         L__main74
	DECFSZ      R12, 1, 0
	BRA         L__main74
	DECFSZ      R11, 1, 0
	BRA         L__main74
	NOP
	NOP
;JOYSTIC_10_BIT_AND_SET.mbas,319 :: 		Delay_ms(1000)
	MOVLW       6
	MOVWF       R11, 0
	MOVLW       19
	MOVWF       R12, 0
	MOVLW       173
	MOVWF       R13, 0
L__main75:
	DECFSZ      R13, 1, 0
	BRA         L__main75
	DECFSZ      R12, 1, 0
	BRA         L__main75
	DECFSZ      R11, 1, 0
	BRA         L__main75
	NOP
	NOP
;JOYSTIC_10_BIT_AND_SET.mbas,320 :: 		SAVE_AS = 0
	CLRF        _SAVE_AS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,321 :: 		S_AS = 0
	CLRF        _S_AS+0 
	CLRF        _S_AS+1 
;JOYSTIC_10_BIT_AND_SET.mbas,325 :: 		while true
L__main77:
;JOYSTIC_10_BIT_AND_SET.mbas,328 :: 		READ_BUTTONS_AND_HAT ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_BUTTONS_AND_HAT+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,330 :: 		READ_AXIS ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_AXIS+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,332 :: 		READ_EPP_REVERS_ZOOM ()
	CALL        JOYSTIC_10_BIT_AND_SET_READ_EPP_REVERS_ZOOM+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,335 :: 		POT_MIX[4] = (POT_MIX[4] * 100) / (ZOOM[1]) IF POT_MIX[4] > 1023 THEN POT_MIX[4] = 1023 END IF
	MOVF        _POT_MIX+16, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+17, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+18, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+19, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+1, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+16 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+17 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+18 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+19 
	MOVF        _POT_MIX+19, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main158
	MOVF        _POT_MIX+18, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main158
	MOVF        _POT_MIX+17, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main158
	MOVF        _POT_MIX+16, 0 
	SUBLW       255
L__main158:
	BTFSC       STATUS+0, 0 
	GOTO        L__main82
	MOVLW       255
	MOVWF       _POT_MIX+16 
	MOVLW       3
	MOVWF       _POT_MIX+17 
	MOVLW       0
	MOVWF       _POT_MIX+18 
	MOVWF       _POT_MIX+19 
L__main82:
;JOYSTIC_10_BIT_AND_SET.mbas,336 :: 		POT_MIX[5] = (POT_MIX[5] * 100) / (ZOOM[2]) IF POT_MIX[5] > 1023 THEN POT_MIX[5] = 1023 END IF
	MOVF        _POT_MIX+20, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+21, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+22, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+23, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+2, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+20 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+21 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+22 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+23 
	MOVF        _POT_MIX+23, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main159
	MOVF        _POT_MIX+22, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main159
	MOVF        _POT_MIX+21, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main159
	MOVF        _POT_MIX+20, 0 
	SUBLW       255
L__main159:
	BTFSC       STATUS+0, 0 
	GOTO        L__main85
	MOVLW       255
	MOVWF       _POT_MIX+20 
	MOVLW       3
	MOVWF       _POT_MIX+21 
	MOVLW       0
	MOVWF       _POT_MIX+22 
	MOVWF       _POT_MIX+23 
L__main85:
;JOYSTIC_10_BIT_AND_SET.mbas,337 :: 		POT_MIX[6] = (POT_MIX[6] * 100) / (ZOOM[3]) IF POT_MIX[6] > 1023 THEN POT_MIX[6] = 1023 END IF
	MOVF        _POT_MIX+24, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+25, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+26, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+27, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+3, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+24 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+25 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+26 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+27 
	MOVF        _POT_MIX+27, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main160
	MOVF        _POT_MIX+26, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main160
	MOVF        _POT_MIX+25, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main160
	MOVF        _POT_MIX+24, 0 
	SUBLW       255
L__main160:
	BTFSC       STATUS+0, 0 
	GOTO        L__main88
	MOVLW       255
	MOVWF       _POT_MIX+24 
	MOVLW       3
	MOVWF       _POT_MIX+25 
	MOVLW       0
	MOVWF       _POT_MIX+26 
	MOVWF       _POT_MIX+27 
L__main88:
;JOYSTIC_10_BIT_AND_SET.mbas,338 :: 		POT_MIX[1] = (POT_MIX[1] * 100) / (ZOOM[4]) IF POT_MIX[1] > 1023 THEN POT_MIX[1] = 1023 END IF
	MOVF        _POT_MIX+4, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+5, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+6, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+7, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+4, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+4 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+5 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+6 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+7 
	MOVF        _POT_MIX+7, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main161
	MOVF        _POT_MIX+6, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main161
	MOVF        _POT_MIX+5, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main161
	MOVF        _POT_MIX+4, 0 
	SUBLW       255
L__main161:
	BTFSC       STATUS+0, 0 
	GOTO        L__main91
	MOVLW       255
	MOVWF       _POT_MIX+4 
	MOVLW       3
	MOVWF       _POT_MIX+5 
	MOVLW       0
	MOVWF       _POT_MIX+6 
	MOVWF       _POT_MIX+7 
L__main91:
;JOYSTIC_10_BIT_AND_SET.mbas,339 :: 		POT_MIX[7] = (POT_MIX[7] * 100) / (ZOOM[5]) IF POT_MIX[7] > 1023 THEN POT_MIX[7] = 1023 END IF
	MOVF        _POT_MIX+28, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+29, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+30, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+31, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+5, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+28 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+29 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+30 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+31 
	MOVF        _POT_MIX+31, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main162
	MOVF        _POT_MIX+30, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main162
	MOVF        _POT_MIX+29, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main162
	MOVF        _POT_MIX+28, 0 
	SUBLW       255
L__main162:
	BTFSC       STATUS+0, 0 
	GOTO        L__main94
	MOVLW       255
	MOVWF       _POT_MIX+28 
	MOVLW       3
	MOVWF       _POT_MIX+29 
	MOVLW       0
	MOVWF       _POT_MIX+30 
	MOVWF       _POT_MIX+31 
L__main94:
;JOYSTIC_10_BIT_AND_SET.mbas,340 :: 		POT_MIX[8] = (POT_MIX[8] * 100) / (ZOOM[6]) IF POT_MIX[8] > 1023 THEN POT_MIX[8] = 1023 END IF
	MOVF        _POT_MIX+32, 0 
	MOVWF       R0 
	MOVF        _POT_MIX+33, 0 
	MOVWF       R1 
	MOVF        _POT_MIX+34, 0 
	MOVWF       R2 
	MOVF        _POT_MIX+35, 0 
	MOVWF       R3 
	MOVLW       100
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Mul_32x32_U+0, 0
	MOVF        _ZOOM+6, 0 
	MOVWF       R4 
	MOVLW       0
	MOVWF       R5 
	MOVWF       R6 
	MOVWF       R7 
	CALL        _Div_32x32_U+0, 0
	MOVF        R0, 0 
	MOVWF       _POT_MIX+32 
	MOVF        R1, 0 
	MOVWF       _POT_MIX+33 
	MOVF        R2, 0 
	MOVWF       _POT_MIX+34 
	MOVF        R3, 0 
	MOVWF       _POT_MIX+35 
	MOVF        _POT_MIX+35, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main163
	MOVF        _POT_MIX+34, 0 
	SUBLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main163
	MOVF        _POT_MIX+33, 0 
	SUBLW       3
	BTFSS       STATUS+0, 2 
	GOTO        L__main163
	MOVF        _POT_MIX+32, 0 
	SUBLW       255
L__main163:
	BTFSC       STATUS+0, 0 
	GOTO        L__main97
	MOVLW       255
	MOVWF       _POT_MIX+32 
	MOVLW       3
	MOVWF       _POT_MIX+33 
	MOVLW       0
	MOVWF       _POT_MIX+34 
	MOVWF       _POT_MIX+35 
L__main97:
;JOYSTIC_10_BIT_AND_SET.mbas,341 :: 		FOR BR = 0 TO 8
	CLRF        _BR+0 
L__main100:
;JOYSTIC_10_BIT_AND_SET.mbas,342 :: 		POT[BR] = POT_MIX[BR]
	MOVF        _BR+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _POT+0
	ADDWF       R0, 0 
	MOVWF       FSR1 
	MOVLW       hi_addr(_POT+0)
	ADDWFC      R1, 0 
	MOVWF       FSR1H 
	MOVF        _BR+0, 0 
	MOVWF       R0 
	MOVLW       0
	MOVWF       R1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	RLCF        R0, 1 
	BCF         R0, 0 
	RLCF        R1, 1 
	MOVLW       _POT_MIX+0
	ADDWF       R0, 0 
	MOVWF       FSR0 
	MOVLW       hi_addr(_POT_MIX+0)
	ADDWFC      R1, 0 
	MOVWF       FSR0H 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;JOYSTIC_10_BIT_AND_SET.mbas,343 :: 		NEXT BR
	MOVF        _BR+0, 0 
	XORLW       8
	BTFSC       STATUS+0, 2 
	GOTO        L__main103
	INCF        _BR+0, 1 
	GOTO        L__main100
L__main103:
;JOYSTIC_10_BIT_AND_SET.mbas,346 :: 		IF REVERS[1] = 0 THEN POT[4] = POT[4] ELSE POT[4] = 1023 - POT[4] END IF
	MOVF        _REVERS+1, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main105
	GOTO        L__main106
L__main105:
	MOVF        _POT+8, 0 
	SUBLW       255
	MOVWF       _POT+8 
	MOVF        _POT+9, 0 
	MOVWF       _POT+9 
	MOVLW       3
	SUBFWB      _POT+9, 1 
L__main106:
;JOYSTIC_10_BIT_AND_SET.mbas,347 :: 		IF REVERS[2] = 0 THEN POT[5] = POT[5] ELSE POT[5] = 1023 - POT[5] END IF
	MOVF        _REVERS+2, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main108
	GOTO        L__main109
L__main108:
	MOVF        _POT+10, 0 
	SUBLW       255
	MOVWF       _POT+10 
	MOVF        _POT+11, 0 
	MOVWF       _POT+11 
	MOVLW       3
	SUBFWB      _POT+11, 1 
L__main109:
;JOYSTIC_10_BIT_AND_SET.mbas,348 :: 		IF REVERS[3] = 0 THEN POT[6] = POT[6] ELSE POT[6] = 1023 - POT[6] END IF
	MOVF        _REVERS+3, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main111
	GOTO        L__main112
L__main111:
	MOVF        _POT+12, 0 
	SUBLW       255
	MOVWF       _POT+12 
	MOVF        _POT+13, 0 
	MOVWF       _POT+13 
	MOVLW       3
	SUBFWB      _POT+13, 1 
L__main112:
;JOYSTIC_10_BIT_AND_SET.mbas,349 :: 		IF REVERS[4] = 0 THEN POT[1] = POT[1] ELSE POT[1] = 1023 - POT[1] END IF
	MOVF        _REVERS+4, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main114
	GOTO        L__main115
L__main114:
	MOVF        _POT+2, 0 
	SUBLW       255
	MOVWF       _POT+2 
	MOVF        _POT+3, 0 
	MOVWF       _POT+3 
	MOVLW       3
	SUBFWB      _POT+3, 1 
L__main115:
;JOYSTIC_10_BIT_AND_SET.mbas,350 :: 		IF REVERS[5] = 0 THEN POT[7] = POT[7] ELSE POT[7] = 1023 - POT[7] END IF
	MOVF        _REVERS+5, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main117
	GOTO        L__main118
L__main117:
	MOVF        _POT+14, 0 
	SUBLW       255
	MOVWF       _POT+14 
	MOVF        _POT+15, 0 
	MOVWF       _POT+15 
	MOVLW       3
	SUBFWB      _POT+15, 1 
L__main118:
;JOYSTIC_10_BIT_AND_SET.mbas,351 :: 		IF REVERS[6] = 0 THEN POT[8] = POT[8] ELSE POT[8] = 1023 - POT[8] END IF
	MOVF        _REVERS+6, 0 
	XORLW       0
	BTFSS       STATUS+0, 2 
	GOTO        L__main120
	GOTO        L__main121
L__main120:
	MOVF        _POT+16, 0 
	SUBLW       255
	MOVWF       _POT+16 
	MOVF        _POT+17, 0 
	MOVWF       _POT+17 
	MOVLW       3
	SUBFWB      _POT+17, 1 
L__main121:
;JOYSTIC_10_BIT_AND_SET.mbas,352 :: 		REVERS_PC.0 = 0
	BCF         _REVERS_PC+0, 0 
;JOYSTIC_10_BIT_AND_SET.mbas,353 :: 		REVERS_PC.1 = REVERS[1]
	BTFSC       _REVERS+1, 0 
	GOTO        L__main164
	BCF         _REVERS_PC+0, 1 
	GOTO        L__main165
L__main164:
	BSF         _REVERS_PC+0, 1 
L__main165:
;JOYSTIC_10_BIT_AND_SET.mbas,354 :: 		REVERS_PC.2 = REVERS[2]
	BTFSC       _REVERS+2, 0 
	GOTO        L__main166
	BCF         _REVERS_PC+0, 2 
	GOTO        L__main167
L__main166:
	BSF         _REVERS_PC+0, 2 
L__main167:
;JOYSTIC_10_BIT_AND_SET.mbas,355 :: 		REVERS_PC.3 = REVERS[3]
	BTFSC       _REVERS+3, 0 
	GOTO        L__main168
	BCF         _REVERS_PC+0, 3 
	GOTO        L__main169
L__main168:
	BSF         _REVERS_PC+0, 3 
L__main169:
;JOYSTIC_10_BIT_AND_SET.mbas,356 :: 		REVERS_PC.4 = REVERS[4]
	BTFSC       _REVERS+4, 0 
	GOTO        L__main170
	BCF         _REVERS_PC+0, 4 
	GOTO        L__main171
L__main170:
	BSF         _REVERS_PC+0, 4 
L__main171:
;JOYSTIC_10_BIT_AND_SET.mbas,357 :: 		REVERS_PC.5 = REVERS[5]
	BTFSC       _REVERS+5, 0 
	GOTO        L__main172
	BCF         _REVERS_PC+0, 5 
	GOTO        L__main173
L__main172:
	BSF         _REVERS_PC+0, 5 
L__main173:
;JOYSTIC_10_BIT_AND_SET.mbas,358 :: 		REVERS_PC.6 = REVERS[6]
	BTFSC       _REVERS+6, 0 
	GOTO        L__main174
	BCF         _REVERS_PC+0, 6 
	GOTO        L__main175
L__main174:
	BSF         _REVERS_PC+0, 6 
L__main175:
;JOYSTIC_10_BIT_AND_SET.mbas,359 :: 		REVERS_PC.7 = 0
	BCF         _REVERS_PC+0, 7 
;JOYSTIC_10_BIT_AND_SET.mbas,362 :: 		userWR_buffer[0] = LO(POT[1])
	MOVF        _POT+2, 0 
	MOVWF       _userWR_buffer+0 
;JOYSTIC_10_BIT_AND_SET.mbas,363 :: 		userWR_buffer[1] = HI(POT[1])
	MOVF        _POT+3, 0 
	MOVWF       _userWR_buffer+1 
;JOYSTIC_10_BIT_AND_SET.mbas,364 :: 		userWR_buffer[2] = LO(POT[2])
	MOVF        _POT+4, 0 
	MOVWF       _userWR_buffer+2 
;JOYSTIC_10_BIT_AND_SET.mbas,365 :: 		userWR_buffer[3] = HI(POT[2])
	MOVF        _POT+5, 0 
	MOVWF       _userWR_buffer+3 
;JOYSTIC_10_BIT_AND_SET.mbas,366 :: 		userWR_buffer[4] = LO(POT[3])
	MOVF        _POT+6, 0 
	MOVWF       _userWR_buffer+4 
;JOYSTIC_10_BIT_AND_SET.mbas,367 :: 		userWR_buffer[5] = HI(POT[3])
	MOVF        _POT+7, 0 
	MOVWF       _userWR_buffer+5 
;JOYSTIC_10_BIT_AND_SET.mbas,368 :: 		userWR_buffer[6] = LO(POT[4])
	MOVF        _POT+8, 0 
	MOVWF       _userWR_buffer+6 
;JOYSTIC_10_BIT_AND_SET.mbas,369 :: 		userWR_buffer[7] = HI(POT[4])
	MOVF        _POT+9, 0 
	MOVWF       _userWR_buffer+7 
;JOYSTIC_10_BIT_AND_SET.mbas,370 :: 		userWR_buffer[8] = LO(POT[5])
	MOVF        _POT+10, 0 
	MOVWF       _userWR_buffer+8 
;JOYSTIC_10_BIT_AND_SET.mbas,371 :: 		userWR_buffer[9] = HI(POT[5])
	MOVF        _POT+11, 0 
	MOVWF       _userWR_buffer+9 
;JOYSTIC_10_BIT_AND_SET.mbas,372 :: 		userWR_buffer[10] = LO(POT[6])
	MOVF        _POT+12, 0 
	MOVWF       _userWR_buffer+10 
;JOYSTIC_10_BIT_AND_SET.mbas,373 :: 		userWR_buffer[11] = HI(POT[6])
	MOVF        _POT+13, 0 
	MOVWF       _userWR_buffer+11 
;JOYSTIC_10_BIT_AND_SET.mbas,374 :: 		userWR_buffer[12] = LO(POT[7])
	MOVF        _POT+14, 0 
	MOVWF       _userWR_buffer+12 
;JOYSTIC_10_BIT_AND_SET.mbas,375 :: 		userWR_buffer[13] = HI(POT[7])
	MOVF        _POT+15, 0 
	MOVWF       _userWR_buffer+13 
;JOYSTIC_10_BIT_AND_SET.mbas,376 :: 		userWR_buffer[14] = LO(POT[8])
	MOVF        _POT+16, 0 
	MOVWF       _userWR_buffer+14 
;JOYSTIC_10_BIT_AND_SET.mbas,377 :: 		userWR_buffer[15] = HI(POT[8])
	MOVF        _POT+17, 0 
	MOVWF       _userWR_buffer+15 
;JOYSTIC_10_BIT_AND_SET.mbas,381 :: 		userWR_buffer[16] = HAT_BUTTONS[0] + BUTTONS[0]
	MOVF        _BUTTONS+0, 0 
	ADDWF       _HAT_BUTTONS+0, 0 
	MOVWF       _userWR_buffer+16 
;JOYSTIC_10_BIT_AND_SET.mbas,383 :: 		userWR_buffer[17] = BUTTONS[1]
	MOVF        _BUTTONS+1, 0 
	MOVWF       _userWR_buffer+17 
;JOYSTIC_10_BIT_AND_SET.mbas,386 :: 		userWR_buffer[18] = REVERS_PC
	MOVF        _REVERS_PC+0, 0 
	MOVWF       _userWR_buffer+18 
;JOYSTIC_10_BIT_AND_SET.mbas,387 :: 		userWR_buffer[19] = ZOOM[1]
	MOVF        _ZOOM+1, 0 
	MOVWF       _userWR_buffer+19 
;JOYSTIC_10_BIT_AND_SET.mbas,388 :: 		userWR_buffer[20] = ZOOM[2]
	MOVF        _ZOOM+2, 0 
	MOVWF       _userWR_buffer+20 
;JOYSTIC_10_BIT_AND_SET.mbas,389 :: 		userWR_buffer[21] = ZOOM[3]
	MOVF        _ZOOM+3, 0 
	MOVWF       _userWR_buffer+21 
;JOYSTIC_10_BIT_AND_SET.mbas,390 :: 		userWR_buffer[22] = ZOOM[4]
	MOVF        _ZOOM+4, 0 
	MOVWF       _userWR_buffer+22 
;JOYSTIC_10_BIT_AND_SET.mbas,391 :: 		userWR_buffer[23] = ZOOM[5]
	MOVF        _ZOOM+5, 0 
	MOVWF       _userWR_buffer+23 
;JOYSTIC_10_BIT_AND_SET.mbas,392 :: 		userWR_buffer[24] = ZOOM[6]
	MOVF        _ZOOM+6, 0 
	MOVWF       _userWR_buffer+24 
;JOYSTIC_10_BIT_AND_SET.mbas,393 :: 		userWR_buffer[25] = SAVE_AS
	MOVF        _SAVE_AS+0, 0 
	MOVWF       _userWR_buffer+25 
;JOYSTIC_10_BIT_AND_SET.mbas,394 :: 		INC(S_AS)
	INFSNZ      _S_AS+0, 1 
	INCF        _S_AS+1, 1 
;JOYSTIC_10_BIT_AND_SET.mbas,395 :: 		IF S_AS >= 10000 THEN
	MOVLW       39
	SUBWF       _S_AS+1, 0 
	BTFSS       STATUS+0, 2 
	GOTO        L__main176
	MOVLW       16
	SUBWF       _S_AS+0, 0 
L__main176:
	BTFSS       STATUS+0, 0 
	GOTO        L__main123
;JOYSTIC_10_BIT_AND_SET.mbas,396 :: 		SAVE_AS = 0
	CLRF        _SAVE_AS+0 
;JOYSTIC_10_BIT_AND_SET.mbas,397 :: 		S_AS = 0
	CLRF        _S_AS+0 
	CLRF        _S_AS+1 
L__main123:
;JOYSTIC_10_BIT_AND_SET.mbas,401 :: 		HID_Write(@userWR_buffer, 26)
	MOVLW       _userWR_buffer+0
	MOVWF       FARG_HID_Write_Buffer+0 
	MOVLW       hi_addr(_userWR_buffer+0)
	MOVWF       FARG_HID_Write_Buffer+1 
	MOVLW       26
	MOVWF       FARG_HID_Write_Len+0 
	CALL        _HID_Write+0, 0
;JOYSTIC_10_BIT_AND_SET.mbas,405 :: 		wend
	GOTO        L__main77
;JOYSTIC_10_BIT_AND_SET.mbas,406 :: 		HID_Disable()
	GOTO        $+0
; end of _main
